Name:           python-distroinfo
Version:        0.6.2
Release:        1%{?dist}
Summary:        python module for parsing, validating and querying distribution/packaging metadata stored in human readable and reviewable text/YAML files

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/softwarefactory-project/distroinfo
Source:         %{pypi_source distroinfo}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'distroinfo' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-distroinfo
Summary:        %{summary}

%description -n python3-distroinfo %_description


%prep
%autosetup -p1 -n distroinfo-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-distroinfo -f %{pyproject_files}


%changelog
* Fri Mar 03 2023 mockbuilder - 0.6.2-1
- Initial package